<?php

namespace Conformity\Common\System;

class HostIdTest extends \PHPUnit\Framework\TestCase
{

    /**
     * @covers HostId::getHostId
     */
    public function testGeneratingHostId()
    {
        $hostId = new HostId();

        $this->assertNotEmpty($hostId->getHostId());
    }

    /**
     * @covers HostId::getHostId
     */
    public function testConsistentHostIdGeneration()
    {
        $h = (new HostId())->getHostId();
        for ($n = 0; $n < 5; $n++) {
            $g = (new HostId())->getHostId();
            $this->assertEquals($h, $g);
            usleep(250000);
        }
    }

    /**
     * @covers HostId::__toString
     * @covers HostId::getHostId
     */
    public function testStringCasting()
    {
        $this->assertNotEmpty((string)(new HostId()));
    }
}